about Cisco Voice Gateway Interoperability with Cisco Unified Communication

Answered Question
Mar 10th, 2009

Hi

I am going to upgrade the call manager from 4.2 to 6.1. and would like to check the compatibility of the cisco voice gateway

I go to this link which refer me to another link to check that:

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/compat/ccmcompmatr.html#wp79913

Cisco Voice Gateways

See Cisco Voice Gateway Interoperability with Cisco Unified Communications Manager at this URL:

http://wwwin.cisco.com/artg/solutions/voice_video/voice_gtwy_introp/

but the link somehow is broken,

where can I check the compatability between the cisco voice gateway and the call manager 6.1 ?

thanks

Rachel

I have this problem too.
0 votes
Correct Answer by Nicholas Matthews about 7 years 8 months ago

Hi Rachel,

I don't think you'll find a Cisco document that says you need a minimum IOS release for certain versions of CUCM with H323. We've had H323 since our very first versions of voice code, so in theory, you should be able to run with very old code.

The only types of issues you would want to check with are special features such as call preservation, extended calling name display, DSP resource sharing, cause code mapping, etc.

For H.323 you can safely run a 12.4 mainline image like 12.4(3j) since we haven't changed the H.323 stack around much since then.

hth,

nick

Correct Answer by rob.huffman about 7 years 8 months ago

Hi Rachel,

Hope all is well!

Just to add a note to the great info from Nick.

This bug only hit CUCM 5.0 Versions so you should be good to go :) It also only showed up if you were running an 8 Character Load which would happen on new 6608's or one's that were upgraded from CCM 3.0 Versions. I don't believe either of these caveats would come into play in your case;

CSCeg20715 Bug Details

6608 or 6624 gw w/factory-preinstalled load can't register to linux CCM

Symptom: WS-X6608-T1or WS-X6624 gateway and media devices cannot

register if they have a 8 character firmware load on them. Blades coming

from Manufacturing or the RMA Depot by default have the 8 character

loads. If your CallManager is running on 3.0(12) or

earlier; the blades will have the 8 character loads as well.

To confirm if you are having this problem:

1. Through the CLI command view the load on the port not registering

2. If the load's name has 8 characters and you are running

5.0 or later, then you are experiencing this defect.

Condition:

CCM5.0(1) or CCM5.0(2)

1. Configure the cat6k WS-X6608-T1 blade

5/1 and 5/2 as T1 Pri gateways

5/3 as Conference Bridge

5/4 as Transcoder

2. Reset the gateway from both the CallManager and gateway side.

They can get their TFTP server address but cannot register.

Workaround

Get the each port on the blade to accept the new 12 character load.

This can be done 2 ways.

a. Send the blade back to TAC and have them connect it to a Windows CallManager

running 3.1 or later and have it take a new load.

b. Connect to any system running a 3.1 or later version of CallManager and have each

port download a 12 character load. It is important to repeat for more clarity.

On a 6608 there are 8 different ports, each one of these ports need to downloaded

with the 8 character load. This means that you would have to provision

each port in the CallManager Administration to upgrade all the ports with new loads.

Below is how you can determine if you have the 12 character load. The load name may be different but the key is that the loads name has 12 characters (i.e. D00404000022).

1. Using the CLI command on the Cat6K supervisor :

"show ver "

Example:

6506> (enable) sh ver 5

Mod Port Model Serial # Versions

--- ---- ------------------- ----------- --------------------------------------

5 8 WS-X6608-T1 SAD04320KZ7 Hw : 1.1

Fw : 5.4(2)

Sw : 8.1(2)

HP1: (not online); DSP1: (not online)

HP2: (not online); DSP2: (not online)

HP3: D00404000022; DSP3: D0054322 (4.3.222)

HP4: D00404000022; DSP4: D0054322 (4.3.222)

HP5: D00404000021; DSP5: D0054322 (4.3.222)

HP6: D00404000021; DSP6: D0054322 (4.3.222)

HP7: M00103010007; DSP7: M002E031 (3.3.2)

HP8: D00404000007; DSP8: D0054133 (4.1.33)

2. Using DickTracy tool:

"0 sh ver" on the DickTracy command window to see the firmware version running on the 6608.

Example:

(GEN) Firmware Version Info

Executing 860 image -----> D00404000022 Built Dec 22 2005 11:47:13

TFTP 860 image file -----> D00404000022.bin

TFTP DSP image file -----> D0054322.bin

TFTP POST image file ----> D007C030.bin

Flash ROM 860 image #1 --> D0040022

Flash ROM 860 image #2 --> D0040022

Flash ROM DSP image -----> D0054322

Flash ROM POST image ----> D007C030

TCP/IP Library ----------> TCPT030

For CallManager versions 3.0(12) or earlier please see this defect CSCsd62562.

Status

Fixed

Severity

2 - severe

Last Modified

In Last Year

Product

Cisco Unified Communications Manager (CallManager)

Technology

1st Found-In

5.0

Fixed-In

5.1(0.76)

5.1(0.9901.98)

5.1(1.1000.7)

5.1(1.2000.2)

**Here is what you are likely running on your 6608;

Digital Access

WS-X6608

CCM 4.2(3) - Default Loads

D00404000023

From Table 11;

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/compat/ccmcompmatr.html#wp79913

Hope this helps!

Rob

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (2 ratings)
Loading.
Nicholas Matthews Tue, 03/10/2009 - 22:31

Hi Rachel,

It looks like this link is broken. (It links to an internal link for some reason, wwwin-something is an internal site).

This is the link you're looking for:

http://www.cisco.com/en/US/prod/collateral/routers/ps259/product_data_sheet0900aecd8057f2e0.pdf

If you're looking for IOS recommendations I don't believe there will be much there. The IOS-CUCM pairing is very loose. For features and protols there is a much higher restriction, however.

hth,

nick

rachelau_2005 Tue, 03/10/2009 - 22:50

I know that there is a bug which prevent Catalayst 6608 to register to Cisco CallManager 5.x/6.x

CSCeg20715 Bug

6608 or 6624 gw w/factory-preinstalled load can't register to linux CCM

***************************

I am planning to configure WS-X6608-E1 port as a E1 VoIP Gateway with Cisco communication manager 6.1? are they compatible?

Thanks

Rachel

Correct Answer
rob.huffman Wed, 03/11/2009 - 05:58

Hi Rachel,

Hope all is well!

Just to add a note to the great info from Nick.

This bug only hit CUCM 5.0 Versions so you should be good to go :) It also only showed up if you were running an 8 Character Load which would happen on new 6608's or one's that were upgraded from CCM 3.0 Versions. I don't believe either of these caveats would come into play in your case;

CSCeg20715 Bug Details

6608 or 6624 gw w/factory-preinstalled load can't register to linux CCM

Symptom: WS-X6608-T1or WS-X6624 gateway and media devices cannot

register if they have a 8 character firmware load on them. Blades coming

from Manufacturing or the RMA Depot by default have the 8 character

loads. If your CallManager is running on 3.0(12) or

earlier; the blades will have the 8 character loads as well.

To confirm if you are having this problem:

1. Through the CLI command view the load on the port not registering

2. If the load's name has 8 characters and you are running

5.0 or later, then you are experiencing this defect.

Condition:

CCM5.0(1) or CCM5.0(2)

1. Configure the cat6k WS-X6608-T1 blade

5/1 and 5/2 as T1 Pri gateways

5/3 as Conference Bridge

5/4 as Transcoder

2. Reset the gateway from both the CallManager and gateway side.

They can get their TFTP server address but cannot register.

Workaround

Get the each port on the blade to accept the new 12 character load.

This can be done 2 ways.

a. Send the blade back to TAC and have them connect it to a Windows CallManager

running 3.1 or later and have it take a new load.

b. Connect to any system running a 3.1 or later version of CallManager and have each

port download a 12 character load. It is important to repeat for more clarity.

On a 6608 there are 8 different ports, each one of these ports need to downloaded

with the 8 character load. This means that you would have to provision

each port in the CallManager Administration to upgrade all the ports with new loads.

Below is how you can determine if you have the 12 character load. The load name may be different but the key is that the loads name has 12 characters (i.e. D00404000022).

1. Using the CLI command on the Cat6K supervisor :

"show ver "

Example:

6506> (enable) sh ver 5

Mod Port Model Serial # Versions

--- ---- ------------------- ----------- --------------------------------------

5 8 WS-X6608-T1 SAD04320KZ7 Hw : 1.1

Fw : 5.4(2)

Sw : 8.1(2)

HP1: (not online); DSP1: (not online)

HP2: (not online); DSP2: (not online)

HP3: D00404000022; DSP3: D0054322 (4.3.222)

HP4: D00404000022; DSP4: D0054322 (4.3.222)

HP5: D00404000021; DSP5: D0054322 (4.3.222)

HP6: D00404000021; DSP6: D0054322 (4.3.222)

HP7: M00103010007; DSP7: M002E031 (3.3.2)

HP8: D00404000007; DSP8: D0054133 (4.1.33)

2. Using DickTracy tool:

"0 sh ver" on the DickTracy command window to see the firmware version running on the 6608.

Example:

(GEN) Firmware Version Info

Executing 860 image -----> D00404000022 Built Dec 22 2005 11:47:13

TFTP 860 image file -----> D00404000022.bin

TFTP DSP image file -----> D0054322.bin

TFTP POST image file ----> D007C030.bin

Flash ROM 860 image #1 --> D0040022

Flash ROM 860 image #2 --> D0040022

Flash ROM DSP image -----> D0054322

Flash ROM POST image ----> D007C030

TCP/IP Library ----------> TCPT030

For CallManager versions 3.0(12) or earlier please see this defect CSCsd62562.

Status

Fixed

Severity

2 - severe

Last Modified

In Last Year

Product

Cisco Unified Communications Manager (CallManager)

Technology

1st Found-In

5.0

Fixed-In

5.1(0.76)

5.1(0.9901.98)

5.1(1.1000.7)

5.1(1.2000.2)

**Here is what you are likely running on your 6608;

Digital Access

WS-X6608

CCM 4.2(3) - Default Loads

D00404000023

From Table 11;

http://www.cisco.com/en/US/docs/voice_ip_comm/cucm/compat/ccmcompmatr.html#wp79913

Hope this helps!

Rob

rachelau_2005 Wed, 03/11/2009 - 18:09

Hi Nick

Thanks for the document, however I cant seem to find the info for call manager 6.1 there

I want to find out what is the minimum Cisco IOS software release for

Voice Gateway Router (Cisco 2811) with Cisco Unified communication manager 6.1(2) Using H.323

any idea?

Thanks

Kind regards

Rachel

Correct Answer
Nicholas Matthews Wed, 03/11/2009 - 19:41

Hi Rachel,

I don't think you'll find a Cisco document that says you need a minimum IOS release for certain versions of CUCM with H323. We've had H323 since our very first versions of voice code, so in theory, you should be able to run with very old code.

The only types of issues you would want to check with are special features such as call preservation, extended calling name display, DSP resource sharing, cause code mapping, etc.

For H.323 you can safely run a 12.4 mainline image like 12.4(3j) since we haven't changed the H.323 stack around much since then.

hth,

nick

Actions

This Discussion